/**
 * 改变评分区块的数量。
 * Change the number of rating blocks.
 *
 * @param   Event e Event object
 * @access  public
 * @returns void
 */
window.changeScoreSetting = function(e)
{
    let count          = 5;
    let block          = '';
    const value        = $(e.target).val();
    const criteriaHref = $('.criteria-btn').data('criteriaHref');

    if(value == '1') count = 10;
    for(i=1; i<=count; i++)
    {
        block = block + "<div class='bg-gray-100 w-1/5 py-1.5 rounded-sm text-center text-gray-500'>" + i + "</div>"
    }
    $('.score-block').empty();
    $('.score-block').append(block);
    $('.criteria-btn')[0].href = criteriaHref.replace('%d', count);
}

$(document).on('click', 'td[data-name="ACTIONS"] .btn', function()
{
    if($(this).data('type') == 'add') $(this).closest('tr').next().find('td:first-child .form-control')[0].focus();
});

/**
 * 处理输入框值变化。
 * Handling input box value changes.
 *
 * @param   Event e Event object
 * @access  public
 * @returns void
 */
window.changeInput = function(e)
{
    const value    = $(e.target).val();
    const intValue = value ? parseInt(value, 10) : '';
    $(e.target).val(intValue);
}

/**
 * 标题、描述、权重的值为空的时清空错误信息。
 * Clear error messages when the values of title, description, and weight are empty.
 *
 * @param   Event e Event object
 * @access  public
 * @returns void
 */
window.changeError = function(e)
{
    const value = $(e.target).val();
    const index = $(e.target).attr('name').match(/\d+/);
    if(!value)
    {
        $('[name^="names[' + index + ']"]').trigger('input');
        $('[name^="weights[' + index + ']"]').trigger('input');
    }
}

/**
 * 处理标题输入框值的变化。
 * Handle changes in the input box value for the title.
 *
 * @access  public
 * @returns void
 */
window.changeNameInput = function()
{
    $('[id^="names"]').each(function()
    {
        const nameElement = $(this).eq(0);
        if(nameElement.hasClass('has-error'))
        {
            nameElement.removeClass('has-error');
            nameElement.parent().find('.form-tip.ajax-form-tip').remove();
        }
    })
}
