<?php
/**
 * The configureObjectsforappeals view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

/* featurebar */
$currentNav = 'configureObjects';
include './navs.html.php';

$objectType       = 'product';
$configureObjects = null;
if(isset($wizard->config['configureObjects']))
{
    $configureObjects = json_decode($wizard->config['configureObjects'], true);
    $objectType       = $configureObjects['type'];
}

$data = array();
if(isset($configureObjects['competeName']))
{
    foreach($configureObjects['competeName'] as $key => $value)
    {
        $item['competeName'] = $value;
        $item['competeDesc'] = isset($configureObjects['competeDesc'][$key]) ? $configureObjects['competeDesc'][$key] : '';
        $data[] = $item;
    }
}

div
(
    setData(array('isAssignedObject' => isset($configureObjects['isAssignedObject']) ? $configureObjects['isAssignedObject'] : '1', 'addCompeteTips' => $lang->thinkwizard->tips->addCompete, 'addLang' => $lang->thinkwizard->add)),
    on::init()->call('initObjects'),
    on::inited()->call('toggleActionsStyle'),
    setClass('think-objects bg-canvas rounded-md'),
    div
    (
        setClass('h-12 flex items-center w-full mx-auto font-medium text-md text-gray-950'),
        setStyle(array('max-width' => 'var(--zt-panel-form-max-width)', 'min-width' => 'var(--zt-panel-form-min-width)')),
        $lang->thinkwizard->objects->title
    ),
    h::hr(),
    formBatch
    (
        setClass('scrollbar-thin scrollbar-hover overflow-y-auto'),
        setStyle(array('height' => 'calc(100vh - 215px)')),
        set::data($data),
        set::minRows(3),
        setStyle(array('max-width' => 'var(--zt-panel-form-max-width)', 'min-width' => 'var(--zt-panel-form-min-width)')),
        setClass('h-full mx-auto col think-objects-form items-stretch relative'),
        set::actions(array()),
        to::formBefore(formHidden('type', $objectType), div
        (
            setClass('w-full flex items-center bg-primary-50 px-4 py-2.5 rounded-sm mt-6'),
            str_replace(array('%model%', '%object%'), array($wizard->name, $lang->thinkwizard->objects->typeList[$objectType]), $lang->thinkwizard->objects->guide)
        ), formGroup
        (
            setClass('bg-gray-100 bg-opacity-50 rounded-sm py-3 mt-3 px-4'),
            set::label($lang->thinkwizard->objects->specifyObject),
            radioList(set::name('isAssignedObject'), set::items($lang->thinkwizard->objects->specifyObjectOptions), set::value(isset($configureObjects['isAssignedObject']) ? $configureObjects['isAssignedObject'] : '1'), set::inline(true), on::change()->do('$(".subject-content,.form-batch-table").toggleClass("hidden", event.target.value == 0);'))
        ), formRow(setClass('bg-gray-100 bg-opacity-50 rounded-sm flex gap-3 py-3 px-4 my-3 subject-content'), formGroup(set::required(true), set::width('calc(50% - 46px)'), set::label($lang->thinkwizard->objects->subject . $lang->thinkwizard->objects->typeList[$objectType]), set::name('subjectName'), set::value(isset($configureObjects['subjectName']) ? $configureObjects['subjectName'] : '')), formGroup(setClass('flex-1'), set::label(sprintf($lang->thinkwizard->objects->subjectDesc, $lang->thinkwizard->objects->typeList[$objectType])), set::name('subjectDesc'), set::value(isset($configureObjects['subjectDesc']) ? $configureObjects['subjectDesc'] : '')))),
        formBatchItem(set::required(true), set::name('competeName'), set::label($lang->thinkwizard->objects->compete . $lang->thinkwizard->objects->typeList[$objectType]), set::width('1/2')),
        formBatchItem(set::label(sprintf($lang->thinkwizard->objects->competeDesc, $lang->thinkwizard->objects->typeList[$objectType])), set::name('competeDesc'), set::width('1/2')),
        div
        (
            setClass('pb-4 pl-px'),
            icon
            (
                setStyle('margin-top', '-4px'),
                setClass('text-warning align-middle'),
                'exclamation'
            ),
            span(setClass('text-gray ml-2'), $lang->thinkwizard->objects->desc)
        )
    ),
    div
    (
        setClass('py-3 bg-canvas flex gap-6 justify-center border-t border-gray-100 shadow'),
        btn
        (
            setStyle('width', '100px'),
            set::btnType('submit'),
            set::type('primary'),
            set::text($lang->thinkwizard->next),
            on::click()->call('submitObjects')
        )
    )
);
