<?php
/**
 * The prerelease view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

/* featurebar */
$currentNav = 'prerelease';
include './navs.html.php';

formPanel
(
    setClass('h-full pt-1 col think-prerelease items-stretch px-0 py-0'),
    set::bodyClass('p-0'),
    set::layout('grid'),
    set::actionsClass('shadow-xl py-3'),
    set::actions(array(
        array('text' => $lang->thinkwizard->abbr->publish, 'class' => 'btn primary', 'btnType' => 'button', 'onclick' => 'publishForPrerelease()')
    )),
    div
    (
        setClass('w-full flex items-stretch gap-3'),
        setStyle(array('min-height' => 'calc(100vh - 168px)')),
        panel
        (
            setClass('w-1/2 flex-1'),
            set::headingClass('h-12 border-b border-gray-100'),
            set::titleClass('font-medium text-gray-950 text-md'),
            set::title($lang->thinkwizard->prerelease->configInfo['RDA']),
            set::bodyClass('col gap-3'),
            formGroup
            (
                set::required(true),
                set::label($lang->thinkwizard->name),
                set::name('name'),
                set::value($wizard->name),
                set::placeholder($lang->thinkwizard->placeholder->inputContent)
            ),
            formGroup
            (
                set::required(true),
                set::label($lang->thinkwizard->desc),
                set::control(array('type' => 'textarea', 'autoHeight' => true)),
                set::name('desc'),
                set::value($wizard->desc),
                set::placeholder($lang->thinkwizard->placeholder->desc)
            ),
            formGroup
            (
                set::label($lang->thinkwizard->introduction),
                set::name('introduction'),
                set::value($wizard->introduction),
                set::placeholder($lang->thinkwizard->placeholder->introduction)
            ),
            formGroup
            (
                set::label($lang->thinkwizard->suggestion),
                editor
                (
                    set::placeholder($lang->thinkwizard->placeholder->suggestion),
                    set::name('suggestion'),
                    html(htmlspecialchars_decode($wizard->suggestion))
                )
            )
        ),
        panel
        (
            setClass('w-1/2 flex-1'),
            set::headingClass('h-12 border-b border-gray-100'),
            set::titleClass('font-medium text-gray-950 text-md'),
            set::title($lang->thinkwizard->resultArea->preview),
            thinkResult(set::mode('preview'), set::wizard($wizard), set::blocks(array()))
        )
    )
);
