<?php
/**
 * The ajaxViewRulesForBcg view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

$config          = json_decode($wizard->config, true);
$xAxisName       = $config['configureDimension']['xAxisName'];
$yAxisName       = $config['configureDimension']['yAxisName'];
$fnGenerateRules = function() use ($lang, $xAxisName, $yAxisName)
{
    $ruleText = array();
    $ruleText[1] = $lang->thinkwizard->previewSteps->rules['bcg']['xAxis'][$xAxisName];
    $ruleText[2] = $lang->thinkwizard->previewSteps->rules['bcg']['yAxis'][$yAxisName];

    $rules = array();
    for($order = 1; $order < 3; $order++)
    {
        $rules[] = div
        (
            setClass('flex gap-4 mt-4'),
            div
            (
                setClass('h-5 text-gray-950 bg-gray-100 rounded-full flex items-center justify-center'),
                setStyle(array('min-width' => '1.25rem', 'max-width' => '1.25rem')),
                $order
            ),
            div(html($ruleText[$order]))
        );
    }
    return $rules;
};

panel
(
    setClass('shadow-none'),
    set::titleClass('text-lg'),
    set::headingClass('px-0'),
    set::bodyClass('px-0'),
    set::title($lang->thinkwizard->previewSteps->rule),
    div
    (
        div(setClass('p-2 bg-primary-50 rounded'), html(str_replace(array('%model', '%x', '%y'), array($wizard->name, $lang->thinkwizard->dimension->xAxisNameList[$xAxisName], $lang->thinkwizard->dimension->yAxisNameList[$yAxisName]), $lang->thinkwizard->previewSteps->ruleGuide['bcg']))),
        div($fnGenerateRules, div(setClass('flex gap-1 mt-4'), div(setClass('m-auto text-black'), setStyle(array('writing-mode' => 'vertical-rl')), $lang->thinkwizard->dimension->yAxisNameList[$yAxisName]), img(setClass('w-full'), set::src('data/thinmory/wizardsetting/bcg/bcg.svg'))), div(setClass('pl-6 text-center text-black'), $lang->thinkwizard->dimension->xAxisNameList[$xAxisName]))
    )
);
